Python
import os
from inceptionai import Inception
client = Inception(
api_key=os.environ.get("INCEPTION_API_KEY"), # defaults to this env var; can be omitted
)
models = client.models.list_chat()
print(models)import Inception from 'inceptionai';
const client = new Inception({
apiKey: process.env['INCEPTION_API_KEY'], // defaults to this env var; can be omitted
});
const models = await client.models.listChat();
console.log(models);curl --request GET \
--url https://api.inceptionlabs.ai/v1/chat/completions/models \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.inceptionlabs.ai/v1/chat/completions/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "mercury-2",
"name": "Inception: Mercury 2",
"created": 1745798400,
"description": "Mercury 2 diffusion language model for chat completions.",
"input_modalities": [
"text"
],
"output_modalities": [
"text"
],
"context_length": 128000,
"max_output_length": 50000,
"pricing": {
"prompt": "0.00000025",
"completion": "0.00000075",
"input_cache_reads": "0.000000025",
"input_cache_writes": "0"
},
"supported_sampling_parameters": [
"temperature",
"stop"
],
"supported_features": [
"tools",
"json_mode",
"structured_outputs"
],
"openrouter": {
"slug": "inception/mercury-2"
},
"datacenters": [
{
"country_code": "US"
}
]
}
]
}{
"error": {
"message": "Incorrect API key provided",
"type": "authentication_error",
"param": null,
"code": "invalid_api_key"
}
}{
"error": {
"message": "The server had an error while processing your request.",
"type": "server_error",
"param": null,
"code": "server_error"
}
}Models
List chat models
List models available for chat completions.
GET
/
v1
/
chat
/
completions
/
models
Python
import os
from inceptionai import Inception
client = Inception(
api_key=os.environ.get("INCEPTION_API_KEY"), # defaults to this env var; can be omitted
)
models = client.models.list_chat()
print(models)import Inception from 'inceptionai';
const client = new Inception({
apiKey: process.env['INCEPTION_API_KEY'], // defaults to this env var; can be omitted
});
const models = await client.models.listChat();
console.log(models);Authorizations
API key provided as a Bearer token: Authorization: Bearer <api_key>. Get an API key at https://platform.inceptionlabs.ai.
Response
Successful Response
Response model for models endpoint.
Show child attributes
Show child attributes
Was this page helpful?
⌘I